# NvBuffer::NvBuffer::NvBufferPlaneFormat Struct Reference

Holds the buffer plane format. More...

`#include <NvBuffer.h>`

List of all members.

## Public Attributes

uint32_t | width
| Holds the width of the plane in pixels.
uint32_t | height
| Holds the height of the plane in pixels.
uint32_t | bytesperpixel
| Holds the bytes used to represent one pixel in the plane.
uint32_t | stride
| Holds the stride of the plane in bytes.
uint32_t | sizeimage
| Holds the size of the plane in bytes.

## Detailed Description

Holds the buffer plane format.

Definition at line 91 of file NvBuffer.h.

## Member Data Documentation

uint32_t NvBuffer::NvBuffer::NvBufferPlaneFormat::bytesperpixel

Holds the bytes used to represent one pixel in the plane.

Definition at line 96 of file NvBuffer.h.

uint32_t NvBuffer::NvBuffer::NvBufferPlaneFormat::height

Holds the height of the plane in pixels.

Definition at line 94 of file NvBuffer.h.

uint32_t NvBuffer::NvBuffer::NvBufferPlaneFormat::sizeimage

Holds the size of the plane in bytes.

Definition at line 99 of file NvBuffer.h.

uint32_t NvBuffer::NvBuffer::NvBufferPlaneFormat::stride

Holds the stride of the plane in bytes.

Definition at line 98 of file NvBuffer.h.

uint32_t NvBuffer::NvBuffer::NvBufferPlaneFormat::width

Holds the width of the plane in pixels.

Definition at line 93 of file NvBuffer.h.

The documentation for this struct was generated from the following file:

- include/NvBuffer.h